/* Include files */

#include "main_sfun.h"
#include "main_sfun_debug_macros.h"
#include "c1_main.h"
#include "c2_main.h"
#include "c3_main.h"
#include "c4_main.h"
#include "c5_main.h"
#include "c6_main.h"
#include "c7_main.h"
#include "c8_main.h"
#include "c9_main.h"
#include "c10_main.h"

/* Type Definitions */

/* Named Constants */

/* Variable Declarations */

/* Variable Definitions */
uint32_T _mainMachineNumber_;

/* Function Declarations */

/* Function Definitions */
void main_initializer(void)
{
}

void main_terminator(void)
{
}

/* SFunction Glue Code */
unsigned int sf_main_method_dispatcher(SimStruct *simstructPtr, unsigned int
  chartFileNumber, const char* specsCksum, int_T method, void *data)
{
  if (chartFileNumber==1) {
    c1_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==2) {
    c2_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==3) {
    c3_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==4) {
    c4_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==5) {
    c5_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==6) {
    c6_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==7) {
    c7_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==8) {
    c8_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==9) {
    c9_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==10) {
    c10_main_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  return 0;
}

unsigned int sf_main_process_check_sum_call( int nlhs, mxArray * plhs[], int
  nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[20];
  if (nrhs<1 || !mxIsChar(prhs[0]) )
    return 0;

  /* Possible call to get the checksum */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"sf_get_check_sum"))
    return 0;
  plhs[0] = mxCreateDoubleMatrix( 1,4,mxREAL);
  if (nrhs>1 && mxIsChar(prhs[1])) {
    mxGetString(prhs[1], commandName,sizeof(commandName)/sizeof(char));
    commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
    if (!strcmp(commandName,"machine")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(1759049786U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(1922666809U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(2737323362U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(611402773U);
    } else if (!strcmp(commandName,"exportedFcn")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(0U);
    } else if (!strcmp(commandName,"makefile")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(1378275903U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(2746056357U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(1013953898U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(268299227U);
    } else if (nrhs==3 && !strcmp(commandName,"chart")) {
      unsigned int chartFileNumber;
      chartFileNumber = (unsigned int)mxGetScalar(prhs[2]);
      switch (chartFileNumber) {
       case 1:
        {
          extern void sf_c1_main_get_check_sum(mxArray *plhs[]);
          sf_c1_main_get_check_sum(plhs);
          break;
        }

       case 2:
        {
          extern void sf_c2_main_get_check_sum(mxArray *plhs[]);
          sf_c2_main_get_check_sum(plhs);
          break;
        }

       case 3:
        {
          extern void sf_c3_main_get_check_sum(mxArray *plhs[]);
          sf_c3_main_get_check_sum(plhs);
          break;
        }

       case 4:
        {
          extern void sf_c4_main_get_check_sum(mxArray *plhs[]);
          sf_c4_main_get_check_sum(plhs);
          break;
        }

       case 5:
        {
          extern void sf_c5_main_get_check_sum(mxArray *plhs[]);
          sf_c5_main_get_check_sum(plhs);
          break;
        }

       case 6:
        {
          extern void sf_c6_main_get_check_sum(mxArray *plhs[]);
          sf_c6_main_get_check_sum(plhs);
          break;
        }

       case 7:
        {
          extern void sf_c7_main_get_check_sum(mxArray *plhs[]);
          sf_c7_main_get_check_sum(plhs);
          break;
        }

       case 8:
        {
          extern void sf_c8_main_get_check_sum(mxArray *plhs[]);
          sf_c8_main_get_check_sum(plhs);
          break;
        }

       case 9:
        {
          extern void sf_c9_main_get_check_sum(mxArray *plhs[]);
          sf_c9_main_get_check_sum(plhs);
          break;
        }

       case 10:
        {
          extern void sf_c10_main_get_check_sum(mxArray *plhs[]);
          sf_c10_main_get_check_sum(plhs);
          break;
        }

       default:
        ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(0.0);
      }
    } else if (!strcmp(commandName,"target")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(3031367619U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(4001028638U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(3978939492U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(838979348U);
    } else {
      return 0;
    }
  } else {
    ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(155230855U);
    ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(1589788262U);
    ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(3359125643U);
    ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(1023222358U);
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_main_autoinheritance_info( int nlhs, mxArray * plhs[], int nrhs,
  const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[32];
  char aiChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]) )
    return 0;

  /* Possible call to get the autoinheritance_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_autoinheritance_info"))
    return 0;
  mxGetString(prhs[2], aiChksum,sizeof(aiChksum)/sizeof(char));
  aiChksum[(sizeof(aiChksum)/sizeof(char)-1)] = '\0';

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 1:
      {
        if (strcmp(aiChksum, "ecbHv9ssLqo8s2IaXWVKnH") == 0) {
          extern mxArray *sf_c1_main_get_autoinheritance_info(void);
          plhs[0] = sf_c1_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 2:
      {
        if (strcmp(aiChksum, "coUnUtNstoLxMRmOYx5SNF") == 0) {
          extern mxArray *sf_c2_main_get_autoinheritance_info(void);
          plhs[0] = sf_c2_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 3:
      {
        if (strcmp(aiChksum, "X5kQJygQcsFgwXEIJkmCwD") == 0) {
          extern mxArray *sf_c3_main_get_autoinheritance_info(void);
          plhs[0] = sf_c3_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 4:
      {
        if (strcmp(aiChksum, "jxzgmN8mlejxIvNRmbsdHG") == 0) {
          extern mxArray *sf_c4_main_get_autoinheritance_info(void);
          plhs[0] = sf_c4_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 5:
      {
        if (strcmp(aiChksum, "Lukct4IQX8AW50LYwIdeMF") == 0) {
          extern mxArray *sf_c5_main_get_autoinheritance_info(void);
          plhs[0] = sf_c5_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 6:
      {
        if (strcmp(aiChksum, "QNxcGPbJNieNf1MlVhv2TC") == 0) {
          extern mxArray *sf_c6_main_get_autoinheritance_info(void);
          plhs[0] = sf_c6_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 7:
      {
        if (strcmp(aiChksum, "TqV03QIDijz6mKz4oOkykB") == 0) {
          extern mxArray *sf_c7_main_get_autoinheritance_info(void);
          plhs[0] = sf_c7_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 8:
      {
        if (strcmp(aiChksum, "TqV03QIDijz6mKz4oOkykB") == 0) {
          extern mxArray *sf_c8_main_get_autoinheritance_info(void);
          plhs[0] = sf_c8_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 9:
      {
        if (strcmp(aiChksum, "TqV03QIDijz6mKz4oOkykB") == 0) {
          extern mxArray *sf_c9_main_get_autoinheritance_info(void);
          plhs[0] = sf_c9_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 10:
      {
        if (strcmp(aiChksum, "IERTESMCc3RDJKytXSSUeF") == 0) {
          extern mxArray *sf_c10_main_get_autoinheritance_info(void);
          plhs[0] = sf_c10_main_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_main_get_eml_resolved_functions_info( int nlhs, mxArray * plhs[],
  int nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[64];
  if (nrhs<2 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the get_eml_resolved_functions_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_eml_resolved_functions_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 1:
      {
        extern const mxArray *sf_c1_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c1_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 2:
      {
        extern const mxArray *sf_c2_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c2_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 3:
      {
        extern const mxArray *sf_c3_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c3_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 4:
      {
        extern const mxArray *sf_c4_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c4_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 5:
      {
        extern const mxArray *sf_c5_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c5_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 6:
      {
        extern const mxArray *sf_c6_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c6_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 7:
      {
        extern const mxArray *sf_c7_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c7_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 8:
      {
        extern const mxArray *sf_c8_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c8_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 9:
      {
        extern const mxArray *sf_c9_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c9_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 10:
      {
        extern const mxArray *sf_c10_main_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c10_main_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_main_third_party_uses_info( int nlhs, mxArray * plhs[], int nrhs,
  const mxArray * prhs[] )
{
  char commandName[64];
  char tpChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the third_party_uses_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  mxGetString(prhs[2], tpChksum,sizeof(tpChksum)/sizeof(char));
  tpChksum[(sizeof(tpChksum)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_third_party_uses_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 1:
      {
        if (strcmp(tpChksum, "soBks9FKJWPb9ma82pI4WC") == 0) {
          extern mxArray *sf_c1_main_third_party_uses_info(void);
          plhs[0] = sf_c1_main_third_party_uses_info();
          break;
        }
      }

     case 2:
      {
        if (strcmp(tpChksum, "yCbKaeEYF2tKy5nCSLGkPC") == 0) {
          extern mxArray *sf_c2_main_third_party_uses_info(void);
          plhs[0] = sf_c2_main_third_party_uses_info();
          break;
        }
      }

     case 3:
      {
        if (strcmp(tpChksum, "wwua1qTTmbKJgB8QhQkBnB") == 0) {
          extern mxArray *sf_c3_main_third_party_uses_info(void);
          plhs[0] = sf_c3_main_third_party_uses_info();
          break;
        }
      }

     case 4:
      {
        if (strcmp(tpChksum, "3j3ZFJXjhQaUHkpWptuxTH") == 0) {
          extern mxArray *sf_c4_main_third_party_uses_info(void);
          plhs[0] = sf_c4_main_third_party_uses_info();
          break;
        }
      }

     case 5:
      {
        if (strcmp(tpChksum, "aSYukkqjOFFo6Rw8iBKaAC") == 0) {
          extern mxArray *sf_c5_main_third_party_uses_info(void);
          plhs[0] = sf_c5_main_third_party_uses_info();
          break;
        }
      }

     case 6:
      {
        if (strcmp(tpChksum, "aDTmn5Tj1SNdSmmvTKAmq") == 0) {
          extern mxArray *sf_c6_main_third_party_uses_info(void);
          plhs[0] = sf_c6_main_third_party_uses_info();
          break;
        }
      }

     case 7:
      {
        if (strcmp(tpChksum, "RWRjV86I82eQdm9NalJPvF") == 0) {
          extern mxArray *sf_c7_main_third_party_uses_info(void);
          plhs[0] = sf_c7_main_third_party_uses_info();
          break;
        }
      }

     case 8:
      {
        if (strcmp(tpChksum, "RWRjV86I82eQdm9NalJPvF") == 0) {
          extern mxArray *sf_c8_main_third_party_uses_info(void);
          plhs[0] = sf_c8_main_third_party_uses_info();
          break;
        }
      }

     case 9:
      {
        if (strcmp(tpChksum, "RWRjV86I82eQdm9NalJPvF") == 0) {
          extern mxArray *sf_c9_main_third_party_uses_info(void);
          plhs[0] = sf_c9_main_third_party_uses_info();
          break;
        }
      }

     case 10:
      {
        if (strcmp(tpChksum, "c8l5EzJKveCuMm3jMAY68F") == 0) {
          extern mxArray *sf_c10_main_third_party_uses_info(void);
          plhs[0] = sf_c10_main_third_party_uses_info();
          break;
        }
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;
}

unsigned int sf_main_updateBuildInfo_args_info( int nlhs, mxArray * plhs[], int
  nrhs, const mxArray * prhs[] )
{
  char commandName[64];
  char tpChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the updateBuildInfo_args_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  mxGetString(prhs[2], tpChksum,sizeof(tpChksum)/sizeof(char));
  tpChksum[(sizeof(tpChksum)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_updateBuildInfo_args_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 1:
      {
        if (strcmp(tpChksum, "soBks9FKJWPb9ma82pI4WC") == 0) {
          extern mxArray *sf_c1_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c1_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 2:
      {
        if (strcmp(tpChksum, "yCbKaeEYF2tKy5nCSLGkPC") == 0) {
          extern mxArray *sf_c2_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c2_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 3:
      {
        if (strcmp(tpChksum, "wwua1qTTmbKJgB8QhQkBnB") == 0) {
          extern mxArray *sf_c3_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c3_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 4:
      {
        if (strcmp(tpChksum, "3j3ZFJXjhQaUHkpWptuxTH") == 0) {
          extern mxArray *sf_c4_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c4_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 5:
      {
        if (strcmp(tpChksum, "aSYukkqjOFFo6Rw8iBKaAC") == 0) {
          extern mxArray *sf_c5_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c5_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 6:
      {
        if (strcmp(tpChksum, "aDTmn5Tj1SNdSmmvTKAmq") == 0) {
          extern mxArray *sf_c6_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c6_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 7:
      {
        if (strcmp(tpChksum, "RWRjV86I82eQdm9NalJPvF") == 0) {
          extern mxArray *sf_c7_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c7_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 8:
      {
        if (strcmp(tpChksum, "RWRjV86I82eQdm9NalJPvF") == 0) {
          extern mxArray *sf_c8_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c8_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 9:
      {
        if (strcmp(tpChksum, "RWRjV86I82eQdm9NalJPvF") == 0) {
          extern mxArray *sf_c9_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c9_main_updateBuildInfo_args_info();
          break;
        }
      }

     case 10:
      {
        if (strcmp(tpChksum, "c8l5EzJKveCuMm3jMAY68F") == 0) {
          extern mxArray *sf_c10_main_updateBuildInfo_args_info(void);
          plhs[0] = sf_c10_main_updateBuildInfo_args_info();
          break;
        }
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;
}

void main_debug_initialize(struct SfDebugInstanceStruct* debugInstance)
{
  _mainMachineNumber_ = sf_debug_initialize_machine(debugInstance,"main","sfun",
    0,10,0,0,0);
  sf_debug_set_machine_event_thresholds(debugInstance,_mainMachineNumber_,0,0);
  sf_debug_set_machine_data_thresholds(debugInstance,_mainMachineNumber_,0);
}

void main_register_exported_symbols(SimStruct* S)
{
}

static mxArray* sRtwOptimizationInfoStruct= NULL;
mxArray* load_main_optimization_info(void)
{
  if (sRtwOptimizationInfoStruct==NULL) {
    sRtwOptimizationInfoStruct = sf_load_rtw_optimization_info("main", "main");
    mexMakeArrayPersistent(sRtwOptimizationInfoStruct);
  }

  return(sRtwOptimizationInfoStruct);
}

void unload_main_optimization_info(void)
{
  if (sRtwOptimizationInfoStruct!=NULL) {
    mxDestroyArray(sRtwOptimizationInfoStruct);
    sRtwOptimizationInfoStruct = NULL;
  }
}
